#
# Conditional build:
%bcond_without  python2 # Python 2.x module
%bcond_without  python3 # Python 3.x module

%define	module	logilab-common
Summary:	Logilab common modules
Summary(pl.UTF-8):	Wspólne moduły Logilab
Name:		python-logilab-common
Version:	0.63.2
Release:	15
License:	LGPL v2.1+
Group:		Development/Languages/Python
#Source0Download: https://pypi.python.org/pypi/logilab-common
Source0:	https://pypi.python.org/packages/source/l/logilab-common/%{module}-%{version}.tar.gz
# Source0-md5:	2bf4599ae1f2ccf4603ca02c5d7e798e
URL:		http://www.logilab.org/project/logilab-common
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	python-setuptools >= 1:7.0
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:  python3-modules >= 1:3.3
BuildRequires:	python3-setuptools >= 1:7.0
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%pyrequires_eq	python-modules
Requires:	python-six >= 1.4.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The package logilab.common contains several modules providing low
level functionalities shared among several Python projects developed
by Logilab.

%description -l pl.UTF-8
Pakiet logilab.common zawiera różne moduły dostarczające
niskopoziomową funkcjonalność wykorzystywaną przez różne pythonowe
projekty tworzone przez Logilab.

%package -n python3-%{module}
Summary:	Logilab common modules
Summary(pl.UTF-8):	Wspólne moduły Logilab
Group:		Development/Languages/Python
Requires:	python3-six >= 1.4.0

%description -n python3-%{module}
The package logilab.common contains several modules providing low
level functionalities shared among several Python projects developed
by Logilab.

%description -n python3-%{module} -l pl.UTF-8
Pakiet logilab.common zawiera różne moduły dostarczające
niskopoziomową funkcjonalność wykorzystywaną przez różne pythonowe
projekty tworzone przez Logilab.

%prep
%setup -q -n %{module}-%{version}

# drop python 2.5 egg deps
%{__rm} */*/*py2.5.egg

%build
%if %{with python2}
%py_build
%endif
%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python3}
%py3_install

touch $RPM_BUILD_ROOT%{py3_sitescriptdir}/logilab/__init__.py
%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}/logilab/
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}/logilab/

mv $RPM_BUILD_ROOT%{_bindir}/pytest{,3}
%endif

%if %{with python2}
%py_install

# because some logilab's software depend on this package
# and some not, so they all provide the __init__.py and we
# have to remove it in dependent software
touch $RPM_BUILD_ROOT%{py_sitescriptdir}/logilab/__init__.py
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}/logilab/
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}/logilab/

%py_postclean
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ChangeLog README
# isn't name too generic?
%attr(755,root,root) %{_bindir}/pytest
%dir %{py_sitescriptdir}/logilab
%{py_sitescriptdir}/logilab/__init__.py[co]
%{py_sitescriptdir}/logilab/common
%{py_sitescriptdir}/logilab_common-%{version}-py*-nspkg.pth
%{py_sitescriptdir}/logilab_common-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc ChangeLog README
# isn't name too generic?
%attr(755,root,root) %{_bindir}/pytest3
%{py3_sitescriptdir}/logilab
%{py3_sitescriptdir}/logilab_common-%{version}-py*-nspkg.pth
%{py3_sitescriptdir}/logilab_common-%{version}-py*.egg-info
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-logilab-common.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> cab3865
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 85fdc27
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> d9913d5
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> f6a088b
- Release 12 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 9a43a16
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ac3b90d
- rebuild with python 3.10

* Thu Dec 16 2021 Jakub Bogusz <qboosh@pld-linux.org> eea29e7
- setuptools epoch

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> e6a374a
- release 9 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 4a033ba
- rebuild with python 3.8
- release 8 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c8e63e
- release 7 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6248375
- python 3.6
- release 6 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> 2c7fabb
- use rpm python macros
- rel 5

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 556140e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 4ad31aa
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 74c029b
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 031e609
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6100f37
- python 3.5 rebuild
- release 2 (by relup.sh)

* Wed Jun 17 2015 Jakub Bogusz <qboosh@pld-linux.org> d6db8fd
- note download URL

* Thu Jun 11 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> a2e0fcb
- Version: 0.63.2

* Tue May 05 2015 Jan Rękorajski <baggins@pld-linux.org> a7131b1
- x32 rebuild
- release 2 (by relup.sh)

